// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UK2Node_MacroInstance.h"
#include "K2Node_MacroInstance.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UK2Node_MacroInstance::SCW_UK2Node_MacroInstance(UK2Node_MacroInstance* InK2Node_MacroInstance) : SCW_UK2Node_Tunnel(InK2Node_MacroInstance), K2Node_MacroInstance(InK2Node_MacroInstance)
{

}

UK2Node_MacroInstance* SCW_UK2Node_MacroInstance::ToUK2Node_MacroInstance() const
{
	return K2Node_MacroInstance;
}

ISCW_UK2Node_MacroInstancePtr SCW_UK2Node_MacroInstance::ToUK2Node_MacroInstancePtr()
{
	return GetSharedThisAs<SCW_UK2Node_MacroInstance>();
}

ISCW_UK2Node_MacroInstanceConstPtr SCW_UK2Node_MacroInstance::ToUK2Node_MacroInstancePtr() const
{
	return GetSharedThisAs<SCW_UK2Node_MacroInstance>();
}